Search Gradle plugins

Version 0.1 (latest)

Created 17 October 2017.

A Gradle plugin to detect potential classpath collisions between library jars.

Using the plugins DSL:

plugins {
  id "io.fuchs.gradle.classpath-collision-detector" version "0.1"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url "https://plugins.gradle.org/m2/"
    }
  }
  dependencies {
    classpath "gradle.plugin.io.fuchs.gradle.classpath-collision-detector:classpath-collision-detector:0.1"
  }
}

apply plugin: "io.fuchs.gradle.classpath-collision-detector"

Using the plugins DSL:

plugins {
  id("io.fuchs.gradle.classpath-collision-detector") version "0.1"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url = uri("https://plugins.gradle.org/m2/")
    }
  }
  dependencies {
    classpath("gradle.plugin.io.fuchs.gradle.classpath-collision-detector:classpath-collision-detector:0.1")
  }
}

apply(plugin = "io.fuchs.gradle.classpath-collision-detector")

Learn how to apply plugins to subprojects